Download it now!
Bug 114728 - Bibliography Entry dialog: "Type" dropdown has irrelevant values
Summary: Bibliography Entry dialog: "Type" dropdown has irrelevant values
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.0.0.0.beta2
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.1.0 target:6.0.0.2
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Bibliography
  Show dependency treegraph
 
Reported: 2017-12-28 11:38 UTC by Mihkel Tõnnov
Modified: 2018-01-09 14:49 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mihkel Tõnnov 2017-12-28 11:38:58 UTC
Starting with version 6, the "Define Bibliography Entry" dialog has wrong things listed in the "Type" dropdown menu.

Currently shown: Short name, Type, ... (i.e. names of text fields in the same dialog)
Should be: Article, Book, ... (i.e. actual bibliography types)
Comment 1 Xisco Faulí 2017-12-28 12:13:36 UTC
I can't reproduce it in

Version: 6.0.0.1.0+
Build ID: 4ca94f24995c8d7b854e2d98fd7ff8fa7b9e2157
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

Could you please try with LibreOffice 6.0 RC1? You can download it from https://wiki.documentfoundation.org/QA/GetInvolved#Test_Pre-releases.
Comment 2 Mihkel Tõnnov 2017-12-28 12:32:52 UTC
Still the same in 6.0.0 rc 1:
Version: 6.0.0.1
Build ID: d2bec56d7865f05a1003dc88449f2b0fdd85309a
CPU threads: 4; OS: Linux 4.4; UI render: default; VCL: kde4; 
Locale: et-EE (et_EE.UTF-8); Calc: group

Tried with English UI and SAL_USE_VCLPLUGIN=gtk - still the same, so not a localisation issue and not a KDE issue.

You have newer build than rc 1, though, so maybe it's been fixed after rc 1 was released. Could someone else check their 6.0.0 rc 1?
Comment 3 Xisco Faulí 2017-12-28 12:55:37 UTC
To be certain the reported issue is not
related to corruption in the user profile, could you please reset your
Libreoffice profile ( https://wiki.documentfoundation.org/UserProfile ) and
re-test?
Comment 4 Mihkel Tõnnov 2017-12-28 13:03:14 UTC
Still exactly the same after deleting ~/.config/libreoffice
Comment 5 Xisco Faulí 2017-12-28 13:38:24 UTC
Ok, Thanks for testing that too.
So, this is what you do?
1. Open Writer
2. Insert - Table of Contents and Index - Table Of Contents, Index and Bibliography
3. Type Bibliography
4. Entries tab
Comment 6 Mihkel Tõnnov 2017-12-28 14:17:55 UTC
No, that's not the "Define Bibliography Entry" dialog.
1. Open Writer
2. Insert - Table of Contents and Index - Bibliography Entry...
3a. Either keep "From bibliography database" selected and click Edit
3b. ...or select "From document content" and click New (or Edit if you have document with existing bibliography entries.)
4. Observe the contents of "Type" dropdown list in the dialog that opens.
Comment 7 Xisco Faulí 2017-12-28 15:30:15 UTC
ok, Thanks for the clarification. I can reproduce it in

Version: 6.1.0.0.alpha0+
Build ID: 2bf1cc7372088ec31ac5f0fb60de57feda59d3b7
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded
Comment 8 Xisco Faulí 2017-12-28 15:50:17 UTC
Regression introduced by:

author	Caolán McNamara <caolanm@redhat.com>	2017-06-11 20:56:30 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2017-07-21 08:20:50 +0100
commit	00657aef09d854c74fb426a935a3e8b1fc390bb0 (patch)
tree	fd1a9bb264fe15dcc129498e62060ecd256b1ee7
parent	fa987cbb813cfd729fe490f2f1258b7c8d7fb174 (diff)
migrate to boost::gettext

Bisected with: bibisect-linux64-6.0

Adding Cc: to Caolán McNamara
Comment 9 Commit Notification 2018-01-08 20:31:03 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e799e98cbdde6eb1dfbe637b573918ebe0dfe96b

Resolves: tdf#114728 wrong entries in bibliographic entry dialog

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Caolán McNamara 2018-01-08 20:32:16 UTC
backports to 6-0 in gerrit
Comment 11 Commit Notification 2018-01-09 14:49:41 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=513a21c1d635ea5b830f6b075b2a951ca1c94eff&h=libreoffice-6-0

Resolves: tdf#114728 wrong entries in bibliographic entry dialog

It will be available in 6.0.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.